/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.functionsample.sample004;

import java.io.File;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import jp.terasoluna.fw.batch.openapi.BLogicResult;
import jp.terasoluna.fw.batch.openapi.JobContext;
import jp.terasoluna.fw.batch.openapi.ReturnCode;
import jp.terasoluna.fw.batch.openapi.SupportLogic;

/**
 * ファイルの存在をチェックする前処理クラス。<br>
 * ファイルが無い場合はERROR_ENDを返却する。
 */
public class Sample004PreLogic implements SupportLogic {

    /**
     * ログクラス。
     */
    private static final Log log = LogFactory.getLog(Sample004PreLogic.class);
    
    private String fileName;
    
    public BLogicResult execute(JobContext arg0) {
    
    File fileObject = new File(fileName);
    
    if(!fileObject.exists()){
        
        if(log.isDebugEnabled()){
        log.debug("指定されたファイル" + fileName + "が見つかりません。");
        }
        return new BLogicResult(ReturnCode.ERROR_END);
    }
    
    return new BLogicResult(ReturnCode.NORMAL_CONTINUE);
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

}
